Установка jabberd 2 под Linux

Материал из Мир Jabber
Перейти к: навигация, поиск
Информации мало или она отсутствует
Пока в данном разделе мало информации и он может быть заполнен не скоро. Приносим свои извинения. Если вы вдруг хотите написать по теме - не ищите отговорок, просто сделайте это.

Jabberd2 - модульный сервер Jabber, написанный на языке C. Благодаря использованию компилирующего языка программирования, эта реализация сервера Jabber нетребовательна к ресурсам.

История возникновения[править]

Jabberd2 был создан с использованием исходных текстов Jabberd ранних версий и развивался параллельно с Jabberd 1.4. К 2005 году первая команда разработчиков полностью прекратила работу и тогда самоорганизовалась новая команда, которая взяла исходные тексты последнего на тот момент релиза и проект стал развиваться дальше.

Установка[править]

У многих дистрибутивов Linux в репозитории пакетов уже имеется Jabberd2. Поэтому нет никаких сложностей в его установке, достаточно установить пакет jabberd2. Только нужно не перепутать пакет jabberd2 с пакетом jabberd 1.4, который обычно называется jabber или jabberd.

Если же в Вашем дистрибутиве менеджер пакетов показывает только jabberd 1.4, придётся устанавливать Jabberd2 из исходных текстов.

Для правильной работы Jabberd2 нужен пакет

  • glibc версии не ниже 2.3.6

Перед компиляцией Jabberd2 нужно установить следующие дополнительные пакеты:

  • glibc-dev версии не ниже 2.3.6
  • cyrus-sasl-dev (необязательно)
    для поддержки различных методов шифрования пароля

И, разумеется, должен быть установлен компилятор языка программирования C, в Linux это GNU C.

ToDo: Инструкция по установке

Ссылки[править]